%global uuid workspacesmenu@fpmurphy.com/
%global shortname workspacesmenu

Name:           gnome-shell-extension-%{shortname}
Version:        0
Release:        3%{?dist}
Summary:        A gnome-shell extension for fast switching work spaces 

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.fpmurphy.com/gnome-shell-extensions/
Source0:        http://www.fpmurphy.com/gnome-shell-extensions/%{shortname}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.0.1


%description
Add works paces menu to status area of Gnome Shell for fast switching.


%prep
%setup -q -n %{uuid}


%build
# Nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
install -Dp -m 0644 {extension.js,metadata.json,stylesheet.css} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/


%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 02 2011 Fabian Affolter <fabian@bernewireless.net> - 0-1
- Initial package for Fedora
